org.jboss.jca.core.connectionmanager.pool.validator

## Class ConnectionValidator

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.validator.ConnectionValidator

-     public class ConnectionValidator
      extends java.lang.Object

  Connection validator
  Author:
    Gurkan Erdogdu, Jesper Pedersen, Flavia Rainone

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionValidator` | `getInstance()` Get the instance
    `void` | `registerPool(ManagedConnectionPool mcp, long interval)` Register pool for connection validation.
    `void` | `setExecutorService(java.util.concurrent.ExecutorService v)` Set the executor service
    `void` | `start()` Start
    `void` | `stop()` Stop
    `void` | `unregisterPool(ManagedConnectionPool mcp)` Unregister pool instance for connection validation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConnectionValidator getInstance()

      Get the instance
      Returns:
        The value

    - #### setExecutorService

          public void setExecutorService(java.util.concurrent.ExecutorService v)

      Set the executor service
      Parameters:
        `v` - The value

    - #### start

          public void start()
                     throws java.lang.Throwable

      Start
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### stop

          public void stop()
                    throws java.lang.Throwable

      Stop
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### registerPool

          public void registerPool(ManagedConnectionPool mcp,
                                   long interval)

      Register pool for connection validation.
      Parameters:
        `mcp` - managed connection pool
        `interval` - validation interval

    - #### unregisterPool

          public void unregisterPool(ManagedConnectionPool mcp)

      Unregister pool instance for connection validation.
      Parameters:
        `mcp` - pool instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)